List global services
GET/v1/api/cd/globalservices
Query parameters
Responses
| Parameter | Type | Description |
|---|---|---|
project_id | string | — |
q | string | — |
page | integer | — |
per_page | integer | — |
Response samples
200
{
"data": [
{
"tags": [
{
"name": "string",
"value": "string"
}
],
"cascade": {
"delete": false,
"detach": false
},
"distro": "generic",
"id": "string",
"inserted_at": "string",
"interval": "string",
"mgmt": false,
"name": "string",
"project_id": "string",
"provider_id": "string",
"reparent": false,
"service_id": "string",
"template": {
"contexts": [
"string"
],
"git": {
"folder": "string",
"ref": "string"
},
"helm": {
"chart": "string",
"release": "string",
"repository_id": "string",
"url": "string",
"values": "string",
"values_files": [
"string"
],
"version": "string"
},
"id": "string",
"inserted_at": "string",
"kustomize": {
"enable_helm": false,
"path": "string"
},
"name": "string",
"namespace": "string",
"protect": false,
"repository_id": "string",
"templated": false,
"updated_at": "string"
},
"updated_at": "string"
}
]
}